#include <FileConstants.au3>
#include <MsgBoxConstants.au3>
#include <WinAPIFiles.au3>

Example()

Func Example()
	; Erstellen Sie eine Konstante des Dateipfades, der zum Lesen/Schreiben verwendet wird.
	Local Const $sFilePath = _WinAPI_GetTempFileName(@TempDir)

	; Öffnen Sie die Datei zum Schreiben (überschreiben Sie die Datei) und speichern Sie das Handle in einer Variablen.
	Local $hFileOpen = FileOpen($sFilePath, $FO_OVERWRITE)
	If $hFileOpen = -1 Then
		MsgBox($MB_SYSTEMMODAL, "", "Beim Schreiben der temporären Datei ist ein Fehler aufgetreten.")
		Return False
	EndIf

	; Schreiben Sie Daten in die Datei mit dem von FileOpen zurückgegebenen Handle.
	FileWriteLine($hFileOpen, "Line 1")
	FileWriteLine($hFileOpen, "Line 2")
	FileWriteLine($hFileOpen, "Line 3")

	; Leeren Sie die Datei auf die Festplatte.
	FileFlush($hFileOpen)

	; Setzen Sie jetzt die Position auf den Anfang.
	FileSetPos($hFileOpen, 0, $FILE_BEGIN)

	; Überprüfen Sie die Dateiposition und versuchen Sie, den Inhalt an der aktuellen Position zu lesen.
	MsgBox($MB_SYSTEMMODAL, "", "Position: " & FileGetPos($hFileOpen) & @CRLF & "Data: " & @CRLF & FileRead($hFileOpen))

	; Schreiben Sie Daten in die Datei mit dem von FileOpen zurückgegebenen Handle.
	FileWriteLine($hFileOpen, "Line 4")
	FileWriteLine($hFileOpen, "Line 5")
	FileWriteLine($hFileOpen, "Line 6")

	; Setzen Sie jetzt die Position auf den Anfang.
	FileSetPos($hFileOpen, 0, $FILE_BEGIN)

	; Überprüfen Sie die Dateiposition und versuchen Sie, den Inhalt an der aktuellen Position zu lesen.
	MsgBox($MB_SYSTEMMODAL, "", "Position: " & FileGetPos($hFileOpen) & @CRLF & "Data: " & @CRLF & FileRead($hFileOpen))

	; Setzen Sie jetzt die Position auf den Anfang.
	FileSetPos($hFileOpen, 0, $FILE_BEGIN)

	; Setzen Sie die aktuelle Position als Dateiende.
	FileSetEnd($hFileOpen)

	; Überprüfen Sie die Dateiposition und versuchen Sie, den Inhalt an der aktuellen Position zu lesen. Der Inhalt wurde zerstört.
	MsgBox($MB_SYSTEMMODAL, "", "Position: " & FileGetPos($hFileOpen) & @CRLF & "Data: " & @CRLF & FileRead($hFileOpen))

	; Schließen Sie das von FileOpen zurückgegebene Handle.
	FileClose($hFileOpen)

	; Löschen Sie die temporäre Datei.
	FileDelete($sFilePath)
EndFunc   ;==>Example
